Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-20462

Fix security alert for Zenodo (Oct 29, 2018)

    XMLWordPrintable

    Details

    • Type: Story
    • Status: To Do
    • Resolution: Unresolved
    • Fix Version/s: None
    • Component/s: None
    • Labels:

      Description

      Remediation

      Upgrade requests to version 2.20.0 or later. For example:
      requests>=2.20.0
      Always verify the validity and compatibility of suggestions with your codebase.


      Details

      CVE-2018-18074 More information

      moderate severity
      Vulnerable versions: <= 2.19.1
      Patched version: 2.20.0
      The Requests package through 2.19.1 before 2018-09-14 for Python sends an HTTP Authorization header to an http URI upon receiving a same-hostname https-to-http redirect, which makes it easier for remote attackers to discover credentials by sniffing the network.

        Attachments

          Activity

          There are no comments yet on this issue.

            People

            Assignee:
            jsick Jonathan Sick
            Reporter:
            jsick Jonathan Sick
            Watchers:
            Jonathan Sick
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:

                CI Builds

                No builds found.